com.google.appengine.api.socket.dev

## Class LocalSocketService

- java.lang.Object
- - AbstractLocalRpcService
  - - com.google.appengine.api.socket.dev.LocalSocketService

-     public class LocalSocketService
      extends AbstractLocalRpcService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PACKAGE` The package name for this service.
    `static java.lang.String` | `PERMIT_BIND` Property name of bind permission.
    `static java.lang.String` | `PERMIT_CONNECT` Property name of connect permission.
    `static java.lang.String` | `PERMIT_GET_SOCKET_OPT` Property name of get option permission
    `static java.lang.String` | `PERMIT_LISTEN` Property name of listen permission.
    `static java.lang.String` | `PERMIT_SET_SOCKET_OPT` Property name of set option permission
    `static java.lang.String` | `SOCKET_OPTIONS_SPEC_OPT` Used to mimic the getting and setting of options.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSocketService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AcceptReply` | `accept(Status status, AcceptRequest request)`
    `BindReply` | `bind(Status status, BindRequest request)`
    `CloseReply` | `close(Status status, CloseRequest request)`
    `ConnectReply` | `connect(Status status, ConnectRequest request)`
    `CreateSocketReply` | `createSocket(Status status, CreateSocketRequest request)`
    `java.lang.Double` | `getDefaultDeadline(boolean isOfflineRequest)`
    `java.lang.Double` | `getMaximumDeadline(boolean isOfflineRequest)`
    `java.lang.String` | `getPackage()`
    `GetPeerNameReply` | `getPeerName(Status status, GetPeerNameRequest request)`
    `GetSocketNameReply` | `getSocketName(Status status, GetSocketNameRequest request)`
    `GetSocketOptionsReply` | `getSocketOptions(Status status, GetSocketOptionsRequest request)`
    `void` | `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
    `ListenReply` | `listen(Status status, ListenRequest request)`
    `PollReply` | `poll(Status status, PollRequest request)`
    `ReceiveReply` | `receive(Status status, ReceiveRequest request)`
    `ResolveReply` | `resolve(Status status, ResolveRequest request)`
    `SendReply` | `send(Status status, SendRequest request)`
    `SetSocketOptionsReply` | `setSocketOptions(Status status, SetSocketOptionsRequest request)`
    `ShutDownReply` | `shutDown(Status status, ShutDownRequest request)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGE

          public static final java.lang.String PACKAGE

      The package name for this service.
      See Also:
        Constant Field Values

    - #### PERMIT_CONNECT

          public static final java.lang.String PERMIT_CONNECT

      Property name of connect permission.
      See Also:
        Constant Field Values

    - #### PERMIT_BIND

          public static final java.lang.String PERMIT_BIND

      Property name of bind permission.
      See Also:
        Constant Field Values

    - #### PERMIT_LISTEN

          public static final java.lang.String PERMIT_LISTEN

      Property name of listen permission.
      See Also:
        Constant Field Values

    - #### PERMIT_SET_SOCKET_OPT

          public static final java.lang.String PERMIT_SET_SOCKET_OPT

      Property name of set option permission
      See Also:
        Constant Field Values

    - #### PERMIT_GET_SOCKET_OPT

          public static final java.lang.String PERMIT_GET_SOCKET_OPT

      Property name of get option permission
      See Also:
        Constant Field Values

    - #### SOCKET_OPTIONS_SPEC_OPT

          public static final java.lang.String SOCKET_OPTIONS_SPEC_OPT

      Used to mimic the getting and setting of options. The value should be be a comma-separated list of entries of the format := (e.g. SOL_SOCKET:SO_SNDBUF=00002000) If a socket option is not found in this list, an error will be returned from get/setSocketOption. If found, setSocketOption calls for that option are silently ignored. For getSocketOption, the is returned (it must be a hex-encoding of the raw value that would have been returned from the native socket).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalSocketService

          public LocalSocketService()

  - ### Method Detail

    - #### getPackage

          public java.lang.String getPackage()

    - #### init

          public void init(LocalServiceContext context,
                           java.util.Map<java.lang.String,java.lang.String> properties)

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### getDefaultDeadline

          public java.lang.Double getDefaultDeadline(boolean isOfflineRequest)

    - #### getMaximumDeadline

          public java.lang.Double getMaximumDeadline(boolean isOfflineRequest)

    - #### createSocket

          public CreateSocketReply createSocket(Status status,
                                                CreateSocketRequest request)

    - #### poll

          public PollReply poll(Status status,
                                PollRequest request)

    - #### resolve

          public ResolveReply resolve(Status status,
                                      ResolveRequest request)

    - #### bind

          public BindReply bind(Status status,
                                BindRequest request)

    - #### getSocketName

          public GetSocketNameReply getSocketName(Status status,
                                                  GetSocketNameRequest request)

    - #### getPeerName

          public GetPeerNameReply getPeerName(Status status,
                                              GetPeerNameRequest request)

    - #### setSocketOptions

          public SetSocketOptionsReply setSocketOptions(Status status,
                                                        SetSocketOptionsRequest request)

    - #### getSocketOptions

          public GetSocketOptionsReply getSocketOptions(Status status,
                                                        GetSocketOptionsRequest request)

    - #### connect

          public ConnectReply connect(Status status,
                                      ConnectRequest request)

    - #### listen

          public ListenReply listen(Status status,
                                    ListenRequest request)

    - #### accept

          public AcceptReply accept(Status status,
                                    AcceptRequest request)

    - #### shutDown

          public ShutDownReply shutDown(Status status,
                                        ShutDownRequest request)

    - #### close

          public CloseReply close(Status status,
                                  CloseRequest request)

    - #### send

          public SendReply send(Status status,
                                SendRequest request)

    - #### receive

          public ReceiveReply receive(Status status,
                                      ReceiveRequest request)